package com.autentia.tutoriales.spring.aop.aspectj.cache;

import java.lang.annotation.*;

/**
 * Anotación para métodos que realizen operaciones de descacheo de información
 * @author Carlos García. Autentia.
 */
@Retention(RetentionPolicy.RUNTIME) 
@Target(ElementType.METHOD)
public @interface Descachea {
	/**
	 * @return Identificador de la información cacheada a descachear
	 */	
	public String cacheKey();
}
